com.independentsoft.exchange

## Class MessagePropertyPath

- java.lang.Object
- - com.independentsoft.exchange.ItemPropertyPath
  - - com.independentsoft.exchange.MessagePropertyPath

- Direct Known Subclasses:
    MeetingMessagePropertyPath

      public class MessagePropertyPath
      extends ItemPropertyPath

  The Class MessagePropertyPath.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static UnindexedPropertyPath` | `BCC_RECIPIENTS`
    `static PropertyTag` | `BODY_RTF`
    `static UnindexedPropertyPath` | `CC_RECIPIENTS`
    `static UnindexedPropertyPath` | `CONVERSATION_INDEX`
    `static UnindexedPropertyPath` | `CONVERSATION_TOPIC`
    `static PropertyTag` | `DEFERRED_DELIVERY_TIME`
    `static PropertyTag` | `DEFERRED_SEND_TIME`
    `static UnindexedPropertyPath` | `DISPLAY_CC`
    `static UnindexedPropertyPath` | `DISPLAY_TO`
    `static PropertyId` | `DUE_DATE`
    `static PropertyTag` | `FLAG_COMPLETE_TIME`
    `static PropertyTag` | `FLAG_ICON`
    `static PropertyId` | `FLAG_REQUEST`
    `static PropertyTag` | `FLAG_STATUS`
    `static UnindexedPropertyPath` | `FROM`
    `static PropertyId` | `HIDE_ATTACHMENTS`
    `static UnindexedPropertyPath` | `IN_REPLY_TO`
    `static PropertyTag` | `IN_REPLY_TO_ID`
    `static UnindexedPropertyPath` | `INTERNET_MESSAGE_HEADERS`
    `static UnindexedPropertyPath` | `INTERNET_MESSAGE_ID`
    `static UnindexedPropertyPath` | `IS_DELIVERY_RECEIPT_REQUESTED`
    `static UnindexedPropertyPath` | `IS_DRAFT`
    `static UnindexedPropertyPath` | `IS_FROM_ME`
    `static UnindexedPropertyPath` | `IS_READ`
    `static UnindexedPropertyPath` | `IS_READ_RECEIPT_REQUESTED`
    `static UnindexedPropertyPath` | `IS_RESEND`
    `static UnindexedPropertyPath` | `IS_RESPONSE_REQUESTED`
    `static UnindexedPropertyPath` | `IS_SUBMITTED`
    `static UnindexedPropertyPath` | `IS_UNMODIFIED`
    `static PropertyTag` | `LAST_VERB_EXECUTED`
    `static PropertyTag` | `MESSAGE_FLAGS`
    `static UnindexedPropertyPath` | `RECEIVED_BY`
    `static UnindexedPropertyPath` | `RECEIVED_REPRESENTING`
    `static UnindexedPropertyPath` | `RECEIVED_TIME`
    `static UnindexedPropertyPath` | `REFERENCES`
    `static UnindexedPropertyPath` | `REPLY_TO`
    `static UnindexedPropertyPath` | `RESPONSE_ITEMS`
    `static UnindexedPropertyPath` | `SENDER`
    `static UnindexedPropertyPath` | `SENT_TIME`
    `static PropertyId` | `START_DATE`
    `static UnindexedPropertyPath` | `TO_RECIPIENTS`
    `static PropertyId` | `VOTING_OPTIONS`
    `static PropertyId` | `VOTING_RESPONSE`

    - ### Fields inherited from class com.independentsoft.exchange.ItemPropertyPath

      `ARCHIVE_TAG, ATTACHMENTS, BLOCK_STATUS, BODY, BODY_HTML_TEXT, BODY_PLAIN_TEXT, CATEGORIES, COMMENT, CONVERSATION_ID, CREATED_TIME, CULTURE, DISPLAY_NAME, EFFECTIVE_RIGHTS, ENTITY_EXTRACTION_RESULT, ENTRY_ID, FLAG, GROUPING_ACTION, HAS_ATTACHMENTS, HAS_BLOCKED_IMAGES, ICON_INDEX, IMPORTANCE, INSTANCE_KEY, IS_ASSOCIATED, IS_HIDDEN, ITEM_CLASS, ITEM_ID, LAST_MODIFIED_TIME, LAST_MODIFIER_NAME, MIME_CONTENT, NEXT_PREDICTED_ACTION, PARENT_ID, PREVIEW, REMINDER_DUE_BY, REMINDER_IS_SET, REMINDER_MINUTES_BEFORE_START, RETENTION_DATE, RETENTION_TAG, SEARCH_KEY, SENSITIVITY, SIZE, STORE_ENTRY_ID, SUBJECT, TEXT_BODY, UNIQUE_BODY, WEB_CLIENT_EDIT_FORM_QUERY_STRING, WEB_CLIENT_READ_FORM_QUERY_STRING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List<PropertyPath>` | `getAllPropertyPaths()` Gets the all property paths.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RECEIVED_TIME

          public static final UnindexedPropertyPath RECEIVED_TIME

    - #### IN_REPLY_TO

          public static final UnindexedPropertyPath IN_REPLY_TO

    - #### IS_SUBMITTED

          public static final UnindexedPropertyPath IS_SUBMITTED

    - #### IS_DRAFT

          public static final UnindexedPropertyPath IS_DRAFT

    - #### IS_FROM_ME

          public static final UnindexedPropertyPath IS_FROM_ME

    - #### IS_RESEND

          public static final UnindexedPropertyPath IS_RESEND

    - #### IS_UNMODIFIED

          public static final UnindexedPropertyPath IS_UNMODIFIED

    - #### INTERNET_MESSAGE_HEADERS

          public static final UnindexedPropertyPath INTERNET_MESSAGE_HEADERS

    - #### SENT_TIME

          public static final UnindexedPropertyPath SENT_TIME

    - #### RESPONSE_ITEMS

          public static final UnindexedPropertyPath RESPONSE_ITEMS

    - #### DISPLAY_CC

          public static final UnindexedPropertyPath DISPLAY_CC

    - #### DISPLAY_TO

          public static final UnindexedPropertyPath DISPLAY_TO

    - #### SENDER

          public static final UnindexedPropertyPath SENDER

    - #### TO_RECIPIENTS

          public static final UnindexedPropertyPath TO_RECIPIENTS

    - #### CC_RECIPIENTS

          public static final UnindexedPropertyPath CC_RECIPIENTS

    - #### BCC_RECIPIENTS

          public static final UnindexedPropertyPath BCC_RECIPIENTS

    - #### IS_READ_RECEIPT_REQUESTED

          public static final UnindexedPropertyPath IS_READ_RECEIPT_REQUESTED

    - #### IS_DELIVERY_RECEIPT_REQUESTED

          public static final UnindexedPropertyPath IS_DELIVERY_RECEIPT_REQUESTED

    - #### CONVERSATION_INDEX

          public static final UnindexedPropertyPath CONVERSATION_INDEX

    - #### CONVERSATION_TOPIC

          public static final UnindexedPropertyPath CONVERSATION_TOPIC

    - #### FROM

          public static final UnindexedPropertyPath FROM

    - #### INTERNET_MESSAGE_ID

          public static final UnindexedPropertyPath INTERNET_MESSAGE_ID

    - #### IS_READ

          public static final UnindexedPropertyPath IS_READ

    - #### IS_RESPONSE_REQUESTED

          public static final UnindexedPropertyPath IS_RESPONSE_REQUESTED

    - #### REFERENCES

          public static final UnindexedPropertyPath REFERENCES

    - #### REPLY_TO

          public static final UnindexedPropertyPath REPLY_TO

    - #### RECEIVED_BY

          public static final UnindexedPropertyPath RECEIVED_BY

    - #### RECEIVED_REPRESENTING

          public static final UnindexedPropertyPath RECEIVED_REPRESENTING

    - #### LAST_VERB_EXECUTED

          public static final PropertyTag LAST_VERB_EXECUTED

    - #### IN_REPLY_TO_ID

          public static final PropertyTag IN_REPLY_TO_ID

    - #### FLAG_STATUS

          public static final PropertyTag FLAG_STATUS

    - #### FLAG_ICON

          public static final PropertyTag FLAG_ICON

    - #### FLAG_COMPLETE_TIME

          public static final PropertyTag FLAG_COMPLETE_TIME

    - #### FLAG_REQUEST

          public static final PropertyId FLAG_REQUEST

    - #### HIDE_ATTACHMENTS

          public static final PropertyId HIDE_ATTACHMENTS

    - #### VOTING_OPTIONS

          public static final PropertyId VOTING_OPTIONS

    - #### VOTING_RESPONSE

          public static final PropertyId VOTING_RESPONSE

    - #### DEFERRED_DELIVERY_TIME

          public static final PropertyTag DEFERRED_DELIVERY_TIME

    - #### DEFERRED_SEND_TIME

          public static final PropertyTag DEFERRED_SEND_TIME

    - #### START_DATE

          public static final PropertyId START_DATE

    - #### DUE_DATE

          public static final PropertyId DUE_DATE

    - #### MESSAGE_FLAGS

          public static final PropertyTag MESSAGE_FLAGS

    - #### BODY_RTF

          public static final PropertyTag BODY_RTF

  - ### Method Detail

    - #### getAllPropertyPaths

          public static java.util.List<PropertyPath> getAllPropertyPaths()

      Gets the all property paths.
      Returns:
        the all property paths